%define shortname dotcurve
%define	
%define version 1.0
%define release %mkrel 1.%{pre}.5
%define pre	rc1

Name:           kde-style-%{shortname} 
Summary:        Dotcurve Theme for KDE3.3.x 
Version:        %{version}
Release:        %{release} 
Source0:        %{shortname}-%{version}%{pre}.tar.bz2
URL:            http://www.kde-look.org
Group:          Graphical desktop/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}%{pre}-buildroot 
License:        GPL 
Requires:	kdelibs
BuildRequires:  kdelibs-devel


%description
Theme "Dotcurve" for KDE 3.3.x
Sharp corners are dead (almost). Long live to the round. Designed to be fast, 
simple and clean. Recomended use with "Web" kwin decoration.

%prep 
%setup -q -n %shortname-%version%pre

%build 
./configure \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README AUTHORS
%{_libdir}/kde3/plugins/styles/%{shortname}.la
%{_libdir}/kde3/plugins/styles/%{shortname}.so
%{_libdir}/kde3/kstyle_%{shortname}_config.la
%{_libdir}/kde3/kstyle_%{shortname}_config.so
%{_datadir}/apps/kstyle/themes/%{shortname}.themerc

%changelog
* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.rc1.5mdv2007.0
- Rebuild

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 1.0-0.rc1.4mdk
- fix x86_64 build

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.rc1.3mdk
- Remove redundant buildRequires
- use mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.2mdk  
- Rebuild

* Tue Jan 25 2005 Laurent Culioli <laurent@mandrake.org> 1.0-0.rc1.1mdk
- new version

* Thu Dec 02 2004 Laurent Culioli <laurent@mandrake.org> 0.3b-1mdk
- Initial release 
